<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.xxfc.platform.uccn.mapper.ArticleMapper">

    <select id="getArticleList" resultType="com.xxfc.platform.uccn.entity.Article">
        select id, title,epitome,add_time,cover_image,`alt` from article
        where
        is_del=0
        and status=1
        <if test="id != null">
        and   id != #{id}
        </if>
        and (type=#{type} or type=0)
        order by

        weight   ASC ,add_time DESC
        <if test="limit != null">
            limit #{limit}
        </if>
    </select>



</mapper>